LocalFileTransferAsyncHandler (The Data Transfer Agent Service 1.1.0-SNAPSHOT API)
Date: 2012-10-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.agent.impl.handlers
Class LocalFileTransferAsyncHandler

    java.lang.Object
      org.gcube.datatransfer.agent.impl.handlers.TransferHandler
          org.gcube.datatransfer.agent.impl.handlers.LocalFileTransferAsyncHandler

All Implemented Interfaces:
  Runnable

    public class LocalFileTransferAsyncHandler

extends TransferHandler

Author:
  andrea

Field Summary

Fields inherited from class org.gcube.datatransfer.agent.impl.handlers.TransferHandler
`destData, inputFile, outPath, timeout, transferId, transferType`

Constructor Summary
`LocalFileTransferAsyncHandler(org.apache.commons.vfs2.FileObject inputFile, int timeout, String outPath, String transferId, org.gcube.datatransfer.agent.stubs.datatransferagent.TransferType type, org.gcube.datatransfer.agent.stubs.datatransferagent.DestData data)`

Method Summary
`void` | `run()`

Methods inherited from class org.gcube.datatransfer.agent.impl.handlers.TransferHandler
`getTransferObj, setTransferObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalFileTransferAsyncHandler

    public LocalFileTransferAsyncHandler(org.apache.commons.vfs2.FileObject inputFile,
                                         int timeout,
                                         String outPath,
                                         String transferId,
                                         org.gcube.datatransfer.agent.stubs.datatransferagent.TransferType type,
                                         org.gcube.datatransfer.agent.stubs.datatransferagent.DestData data)

Method Detail

### run

    public void run()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.